// MotorThreadDialog.h: Schnittstelle für die Klasse MotorThreadController.
//
//////////////////////////////////////////////////////////////////////

#ifndef MOTORTHREADDIALOG_H
#define MOTORTHREADDIALOG_H


#include "motorthreaddialogbase.h"
#include <qlist.h>
#include <qthread.h>

#define MAX_THREADS 8

//class MagicMirror;
class MotorThreadController;
class QSemaphore;

class MotorThreadDialog : public MotorThreadDlgBase, public QThread
{
	Q_OBJECT
public:
	MotorThreadDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags f = 0 );
	~MotorThreadDialog();

public slots:
    void startThread();

public:
	void customEvent( QCustomEvent* e );
	void outputMessage( QString p_qsMsg );

private:
	QSemaphore* m_pThreadSemaphore;
	bool m_zOn;
protected:
	virtual void run();
};

#endif
